if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi
( cd opt/notepadqq/share/notepadqq/extension_tools/node_modules/.bin ; rm -rf shjs )
( cd opt/notepadqq/share/notepadqq/extension_tools/node_modules/.bin ; ln -sf ../shelljs/bin/shjs shjs )
( cd usr/bin ; rm -rf notepadqq )
( cd usr/bin ; ln -sf /opt/notepadqq/bin/notepadqq notepadqq )
